## org.apache.cassandra.db.marshal
Class DoubleType

    java.lang.Object
      org.apache.cassandra.db.marshal.AbstractType<java.lang.Double>
          org.apache.cassandra.db.marshal.DoubleType

All Implemented Interfaces:
  java.util.Comparator<java.nio.ByteBuffer>

    public class DoubleType

extends AbstractType<java.lang.Double>

Field Summary
`static DoubleType` `instance`

Fields inherited from class org.apache.cassandra.db.marshal.AbstractType
`columnComparator, columnReverseComparator, indexComparator, indexReverseComparator, reverseComparator`

Method Summary
`int` `compare(java.nio.ByteBuffer o1, java.nio.ByteBuffer o2)`
`java.lang.Double` `compose(java.nio.ByteBuffer bytes)`
`java.nio.ByteBuffer` `decompose(java.lang.Double value)`
`java.nio.ByteBuffer` `fromString(java.lang.String source)` get a byte representation of the given string.
`java.lang.String` `getString(java.nio.ByteBuffer bytes)` get a string representation of the bytes suitable for log messages
`void` `validate(java.nio.ByteBuffer bytes)`

Methods inherited from class org.apache.cassandra.db.marshal.AbstractType
`getColumnsString, getReverseComparator, getString, isCommutative, isCompatibleWith, parseDefaultParameters, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Comparator
`equals`

Field Detail

### instance

    public static final DoubleType instance

Method Detail

### compose

    public java.lang.Double compose(java.nio.ByteBuffer bytes)

  Specified by:
    `compose` in class `AbstractType<java.lang.Double>`

### decompose

    public java.nio.ByteBuffer decompose(java.lang.Double value)

  Specified by:
    `decompose` in class `AbstractType<java.lang.Double>`

### compare

    public int compare(java.nio.ByteBuffer o1,
                       java.nio.ByteBuffer o2)

### getString

    public java.lang.String getString(java.nio.ByteBuffer bytes)

  Description copied from class: `AbstractType`
  get a string representation of the bytes suitable for log messages

  Specified by:
    `getString` in class `AbstractType<java.lang.Double>`

### fromString

    public java.nio.ByteBuffer fromString(java.lang.String source)
                                   throws MarshalException

  Description copied from class: `AbstractType`
  get a byte representation of the given string.

  Specified by:
    `fromString` in class `AbstractType<java.lang.Double>`
  Throws:
    `MarshalException`

### validate

    public void validate(java.nio.ByteBuffer bytes)
                  throws MarshalException

  Specified by:
    `validate` in class `AbstractType<java.lang.Double>`
  Throws:
    `MarshalException`

Copyright © 2013 The Apache Software Foundation